#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === require 'extracter/toplevel_methods/misc.rb'
# =========================================================================== #
module Extracter

  # ========================================================================= #
  # === Extracter.remove_archive_type
  # ========================================================================= #
  def self.remove_archive_type(i)
    return i.delete_suffix('.xz').
             delete_suffix('.tgz').
             delete_suffix('.bz2').
             delete_suffix('.gz').
             delete_suffix('.tar').
             delete_suffix('.zip').
             delete_suffix('.gem')
  end; self.instance_eval { alias remove_file_suffix remove_archive_type } # === Extracter.remove_file_suffix

  # ========================================================================= #
  # === Extracter.are_we_on_windows?
  # ========================================================================= #
  def self.are_we_on_windows?
    RUBY_PLATFORM.include?('win') or
    RUBY_PLATFORM.include?('mingw')
  end

end

if __FILE__ == $PROGRAM_NAME
  puts Extracter.are_we_on_windows?
end